# NAME

okauthadm - sets up and manages OkAuth instance

# SYNOPSIS

**okauthadm** _COMMAND_ [_ARG_]...

# DESCRIPTION

**okauthadm** is a tool for setting up OkAuth instance and managing users and
approved applications.

# COMMANDS

**init**
> Initializes OkAuth database.

**add-user**
> Adds a new user with the given USER_ID and display name USER_NAME.
> This command will ask you for a passowrd for the user interactively.
> Once the password and confirmation are given, it will generate new pair
> of encryption keys and store everything in the database.

> _--uid=USER_ID_, _-i USER_ID_
> > ID of a new user

> _--name=USER_NAME_, _-n USER_NAME_
> > Name of a new user

**remove-user**
> Removes the user with the given USER_ID.

> _--uid=USER_ID_, _-i USER_ID_
> > ID of the user to remove

**change-password**
> Sets a new password for the user under given USER_ID.

> _--uid=USER_ID_, _-i USER_ID_
> > ID of the user who's going to have a new password

**list-users**
> Shows all registered users and their public keys.

**approve-app**
> Approves the application instance APP_NAME with public encryption key
> APP_PK and public signing key APP_SK. Keys are expected in Base64
> URL-safe encoding without padding. The application will be allowed to
> authenticate users via this OkAuth instance after it's done.

> _--name=APP_NAME_, _-n APP_NAME_
> > Name of the application to approve

> _--public-key=APP_PK_, _-p APP_PK_
> > Public key of the application

> _--signing-key=APP_SK_, _-s APP_SK_
> > Signing key of the application

**disapprove-app**
> Removes the approval for the application with public encryption key
> APP_PK. The application won't be able to authenticate users via this
> OkAuth instance after it's done.

> _--public-key=APP_PK_, _-p APP_PK_
> > Public key of the application which is going to be disapproved

**list-apps**
> Shows all approved apps and their public keys.

# ENVIRONMENT

_$DB_PATH_
> Path to a database file. Default: _okauth.db_ file in the current working
> directory.

# FILES

_okauth.db_ (if $DB_PATH is absent)
> Database file that keeps information about users, approved apps and their keys

# DEBIAN NOTES

The most convenient way to run this tool is from _/var/lib/okauth_ directory
under _okauth_ user, e.g.:

    sudo -i -u okauth okauthadm ...

# SEE ALSO

**okauthd**(8)

# RESOURCES

**Project homepage:** http://www.nkly.me/projects/okauth

# AUTHORS

Copyright (C) 2019 Nikolai Obedin.

Free use of this software is granted under the terms of EUPL-1.2.
